video_embed_field 2.x-dev Drupal 10 deprecation details

Name and release Project type Usage count Top X project by usage Maintainers
video_embed_field 2.x-dev Module 83405 50 Sam152, jec006, plopesc
Status Next step Instructions
Fix deprecation errors found Run Rector to fix some errors Some of the errors found are covered by drupal-rector automation (thanks to Palantir.net funding), which should be used to speed up resolving them. Get the automated fix committed first and resolve the manual problems afterwards.
Filter errors
Occurrence in project Sort ascending All occurrences Affected projects Category Error
6 1929 137 Drupal API, rector covered Call to deprecated method assertEqual() of class Drupal​\​Tests​\​BrowserTestBase. Deprecated in drupal:8.0.0 and is removed from drupal:10.0.0. Use $this->assertEquals() instead.
4 1271 974 Info.yml or composer.json Value of core_version_requirement: ^8.8 || ^9 is not compatible with the next major version of Drupal core. See https://drupal.org/node/3070687.
4 1983 873 Drupal API, rector covered Call to deprecated function drupal_get_path(). Deprecated in drupal:9.3.0 and is removed from drupal:10.0.0. Use Drupal​\​Core​\​Extension​\​ExtensionPathResolver::getPath() instead.
2 355 75 PHPUnit API Call to deprecated method setMethods() of class PHPUnit​\​Framework​\​MockObject​\​MockBuilder: https://github.com/sebastianbergmann/phpunit/pull/3687
1 834 834 Info.yml or composer.json The drupal/core requirement is not compatible with the next major version of Drupal. Either remove it or update it to be compatible. See https://drupal.org/node/2514612#s-drupal-9-compatibility.


Results are from dataset #136 from 2022-06-26T14:32. Report is ran by the Drupal Association regularly.